Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.featurepath
Class FeaturePathDomainModelReferenceConverter_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.featurepath.FeaturePathDomainModelReferenceConverter_Test

    public class FeaturePathDomainModelReferenceConverter_Test

extends Object

JUnit test for `FeaturePathDomainModelReferenceConverter`.

Author:
  Lucas Koehler

Constructor Summary
`FeaturePathDomainModelReferenceConverter_Test()`

Method Summary
`void` | `setUp()` Set up that is executed before every test.
`static void` | `setupClass()`
`void` | `testConvertToListProperty()` Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoFeature()` Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoReferencePath()` Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNull()` Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyWrongReferenceType()` Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValueProperty()` Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoFeature()` Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoReferencePath()` Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNull()` Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyWrongReferenceType()` Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testIsApplicable()` Test method for `FeaturePathDomainModelReferenceConverter.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .
`void` | `testIsApplicableNull()` Test method for `FeaturePathDomainModelReferenceConverter.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeaturePathDomainModelReferenceConverter_Test

    public FeaturePathDomainModelReferenceConverter_Test()

Method Detail

### setupClass

    public static void setupClass()

### setUp

    public void setUp()

  Set up that is executed before every test.

### testIsApplicable

    public void testIsApplicable()

  Test method for `FeaturePathDomainModelReferenceConverter.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

### testIsApplicableNull

    public void testIsApplicableNull()

  Test method for `FeaturePathDomainModelReferenceConverter.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

### testConvertToValueProperty

    public void testConvertToValueProperty()
                                    throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoReferencePath

    public void testConvertToValuePropertyNoReferencePath()
                                                   throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoFeature

    public void testConvertToValuePropertyNoFeature()
                                             throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNull

    public void testConvertToValuePropertyNull()
                                        throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyWrongReferenceType

    public void testConvertToValuePropertyWrongReferenceType()
                                                      throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListProperty

    public void testConvertToListProperty()
                                   throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoFeature

    public void testConvertToListPropertyNoFeature()
                                            throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoReferencePath

    public void testConvertToListPropertyNoReferencePath()
                                                  throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNull

    public void testConvertToListPropertyNull()
                                       throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyWrongReferenceType

    public void testConvertToListPropertyWrongReferenceType()
                                                     throws DatabindingFailedException

  Test method for `FeaturePathDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.